<?php
defined('ABSPATH') or die('No script kiddies please!!');
if (!class_exists('CIWS_Shortcode')) {
    class CIWS_Shortcode extends CIWS_Library
    {
        function __construct()
        {

            add_shortcode('ciws', array($this, 'ciws_shortcode'));
        }

        function ciws_shortcode($atts)
        {
            if (isset($atts['id'])) {
                $ac_id = $atts['id'];
                $account_row = $this->get_account_row_by_id($ac_id);
            }
            else{
                $account_row = '';
            }
            ob_start();
            require CIWS_PATH . '/includes/views/frontend/ciws-shortcode.php';
            $shortcode_html = ob_get_contents();
            ob_clean();
            return $shortcode_html;
        }
    }
        
    new CIWS_Shortcode();
}
